#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def shapeEllipse(x1,x2,y1,y2, v1,v2,v3,v4,v5,v6):
	#self.extraInfo('',0)
	name=_("ellipse")
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2, al/2)
	xBez, yBez=(varBez*an2, varBez*al2)
	bezs=[bezpnt([x1,y1+al2],[x1,y1+al2-yBez],[x1,y1+al2+yBez]),bezpnt([x1+an2,y2],[x1+an2-xBez,y2],
		[x1+an2+xBez,y2]),bezpnt([x2,y1+al2],[x2,y1+al2+yBez],[x2,y1+al2-yBez]),bezpnt([x1+an2,y1],
		[x1+an2+xBez,y1],[x1+an2-xBez,y1])]
	return [name,bezs,'',0,True]

def shapeCircle(x1,x2,y1,y2, v1,v2,v3,v4,v5,v6):
	name=_("circle")
	an, al=(x2 - x1, y2 - y1)
	la = min(al,an)
	radi=la/2
	incX, incY= ((an-la) / 2.0, (al-la) / 2.0)
	iX,iY =(x1+incX,y1+incY)
	rBez=radi*varBez
	bezs=[bezpnt([iX,iY+radi],[iX,iY+radi-rBez],[iX,iY+radi+rBez]), bezpnt([iX+radi,iY+la],[iX+radi-rBez,iY+la],[iX+radi+rBez,iY+la]),
		bezpnt([iX+la,iY+radi],[iX+la,iY+radi+rBez],[iX+la,iY+radi-rBez]), bezpnt([iX+radi,iY],[iX+radi+rBez,iY],[iX+radi-rBez,iY])]
	return [name,bezs,_('Radius:'),radi,True]

def shapeArc(x1,x2,y1,y2, v1,v2,v3,v4,v5,v6):
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2,al/2)
	la = min(an,al)
	name=_('arc')+str(int(v3))
	bezs=createArcBez(la/2, math.radians(v1),math.radians(v2))
	if v6==1:bezs.append(bezpnt([0,0]))
	closed=v6>0
	bezs=centerBezs(bezs,x1,y1,an,al)
	return [name,bezs,'',0,closed]

SHAPES2['ellip']={'tit':_('Ellipsa'),'def':shapeEllipse,'labels':["-","-","-","-","-","-"]}
SHAPES2['circ'] ={'tit':_('Koło') ,'def':shapeCircle ,'labels':["-","-","-","-","-","-"]}
SHAPES2['arc']={'tit':_('Łuk'),'def':shapeArc,'labels':[[_("Kąt początkowy:     "),-360.0,360.0,0.0],[_("Kąt końcowy:"),-360.0,360,90],"-",_("Połączenie:"),"-",ArcSEL]}
