#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def shapeGear(x1,x2,y1,y2, v1,v2,v3,v4,v5,v6):
	name=_('gear')+str(int(v3))
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2,al/2)
	la = min(an,al)
	rot=360/(v3*2)
	rd=la/2
	rd2=rd-v5
	bezs=[]
	tRad=0
	if v1>0:
		tRad=rot/100*v1
	bez=createArcBez(rd, math.radians(0+tRad), math.radians(rot-tRad))
	bez2=createArcBez(rd2, math.radians(rot+tRad), math.radians(rot*2-tRad))
	bez.extend(bez2)
	for rr in range(int(v3)): bezs.extend(rotArcBez(bez,rot*2*rr))
	bezs=centerBezs(bezs,x1,y1,an,al)
	return [name,bezs,'',0,True]

SHAPES2['gear']={'tit':_('Zębatka'),'def':shapeGear,'labels':[_("Kąty zęba %:   "),"-",[_("Zęby:"),2],"-",[_("Wysokość zęba:"),2.0],"-"]}
