#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def polyStar(x1,x2,y1,y2, v1,v2,v3,v4,v5,corners,tipo='p'):
	an, al=(x2 - x1, y2 - y1)
	la = min(al,an)
	name=_('Polygon') if tipo=='p' else _('Star')
	name = name+str(int(v3))
	if tipo == 's': v3=v3*2
	rot=360/v3
	rd=la/2
	if v5==0.0: v5=0.1
	starr2=100/v5
	if tipo=='p':
		mrad = la/2*math.cos(math.radians(180/v3))
	else:
		mrad = math.sqrt(math.pow(rd/starr2/2,2)+math.pow(rd/starr2/2,2))
	if tipo=='p': bezs = polyRounded(rd,rot,v3,v1,corners==0)
	if tipo=='s': bezs = starRoundBez(rd,rd/starr2,rot,v3,v1)
	bezs=centerBezs(bezs,x1,y1,an,al)
	return ["",bezs,'Max. roundness:',mrad,True]

def shapePoly(x1,x2,y1,y2, v1,v2,v3,v4,v5,corners):
	return polyStar(x1,x2,y1,y2, v1,v2,v3,v4,v5,corners,'p')

def shapeStar(x1,x2,y1,y2, v1,v2,v3,v4,v5,corners):
	return polyStar(x1,x2,y1,y2, v1,v2,v3,v4,v5,corners,'s')

SHAPES2['polygon']={'tit':_('Wielokąt'),'def':shapePoly,'labels':[_("Krągłość:      "),"-",[_("Wierzchołki:"),3],_("Wpisany w:"),"-",POLYSEL]}
SHAPES2['star']={'tit':_('Gwiazda'),'def':shapeStar,'labels':[_("Krągłość:       "),"-",[_("Wierzchołki:"),3],"-",[sIntRadius,0.2,100.0,20.0],"-"]}
