#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def shapeTriIso(x1,x2,y1,y2, rad,v2,v3,v4,v5,v6):
	name=_('isosceles')
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2,al/2)
	sufix=['top','bottom','left','right']
	name+=sufix[v6]
	if v6==0: bezs=[bezpnt([x1,y1]),bezpnt([x2,y1]),bezpnt([x1+an2,y2])]
	if v6==1: bezs=[bezpnt([x1+an2,y1]),bezpnt([x1,y2]),bezpnt([x2,y2])]
	if v6==2: bezs=[bezpnt([x1,y1]),bezpnt([x1,y2]),bezpnt([x2,y1+al2])]
	if v6==3: bezs=[bezpnt([x2,y1]),bezpnt([x2,y2]),bezpnt([x1,y1+al2])]
	return [name,bezs,'',0,True]

def shapeTriRgt(x1,x2,y1,y2, rad,v2,v3,v4,v5,v6):
	name=_('isosceles')
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2,al/2)
	sufix=['tl','bl','tr','br']
	name+=sufix[v6]
	if v6==0:bezs=[bezpnt([x1,y1]),bezpnt([x2,y1]),bezpnt([x1,y2])]
	if v6==1:bezs=[bezpnt([x1,y1]),bezpnt([x1,y2]),bezpnt([x2,y2])]
	if v6==2:bezs=[bezpnt([x1,y1]),bezpnt([x2,y1]),bezpnt([x2,y2])]
	if v6==3:bezs=[bezpnt([x1,y2]),bezpnt([x2,y2]),bezpnt([x2,y1])]
	return [name,bezs,'',0,True]

rightPos=[[_('Górny-Lewy'),0],[_('Dolny-Lewy'),1],[_('Górny-Prawy'),2],[_('Dolny-Prawy'),3]]
isoPos=[[_('U góry'),0],[_('W dole'),1],[_('Z lewej'),2],[_('Z prawej'),3]]

SHAPES2['triIso']={'tit':_('Trójkąt równoramienny'),'def':shapeTriIso,'labels':["-","-","-",_("Podstawa:"),"-",isoPos]}
SHAPES2['triRight']={'tit':_('Trójkąt prostokątny'),'def':shapeTriRgt,'labels':["-","-","-",_("Kąt prosty:"),"-",rightPos]}
